# Get-RASAVDSettings.md

## NAME

Get-RASAVDSettings

## SYNOPSIS

Retrieves the Azure Virtual Desktop Features settings.

## SYNTAX

**Get-RASAVDSettings** \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retrieves the Azure Virtual Desktop Features settings.

## PARAMETERS

## SiteId (uint)

Site ID from which to retrieve the AVD settings.

If the parameter is omitted, the Licensing Server site ID will be used.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[AVDFeaturesSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/avdfeaturessettings.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASAVDSettings

Retrieves the AVD Features Settings.

## RELATED LINKS

* [Set-RASAVDSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasavdsettings.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasavdsettings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
